lwip error compilation edk 8.2i

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

lwip error compilation edk 8.2i

Antoine V.
Hello,
 
I've been working on a project for a few week now and new to lwip/fpga/edk. We have to send some data to a Virtex II Pro (XUP-V2P) and we first used the EMAC IP core
provided along with EDK8.2i. It worked well even though we've heard of lwip which is implementing DHCP which is required for our project.
For a couple of days, we have been trying to make it compile on EDK but we were unsuccessful.
 
We get the following error when we try to compile the lwip 1.0a (but not with the lwip 2.0a):
 
bash -c "cd src;make all >& logs"
 
Also, I was wondering what is the different between lwip 2.0a and 1.0a, is one a standalone raw api and the other built on some kind of mini-os?
Finally, one last question, is it possible to install the last lwip 1.2.0 on edk?
 
Thank you very much for your answers.
 
Best regards,
 
Antoine.


Avec Windows Live Spaces, publiez directement des messages électroniques sur votre blog ou ajoutez-y des photos, des blagues et d'autres infos. C'est gratuit !
_______________________________________________
lwip-users mailing list
[hidden email]
http://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

Re: lwip error compilation edk 8.2i

Jonathan Larmour
Louis Filasky wrote:

> Hello,
>  
> I've been working on a project for a few week now and new to
> lwip/fpga/edk. We have to send some data to a Virtex II Pro (XUP-V2P)
> and we first used the EMAC IP core
> provided along with EDK8.2i. It worked well even though we've heard of
> lwip which is implementing DHCP which is required for our project.
> For a couple of days, we have been trying to make it compile on EDK but
> we were unsuccessful.
>  
> We get the following error when we try to compile the lwip 1.0a (but not
> with the lwip 2.0a):
>  
> /*bash -c "cd src;make all >& logs"*/
> *//*

That's not an error, that's saying what command was trying to be run. If
it was that command that failed, the answer depends on what the real error
was, but I fancy the chances there is no makefile there. Makefiles are up
to ports, and the Virtex port in that EDK is supplied by them, not the
lwIP project. You'll have to take this issue up with them.

> Also, I was wondering what is the different between lwip 2.0a and 1.0a,
> is one a standalone raw api and the other built on some kind of mini-os?
> Finally, one last question, is it possible to install the last lwip
> 1.2.0 on edk?

Since lwip 2.0 does not yet exist, and I have no time machine handy at the
moment, I have no idea what the differences are. An explanation is that
whoever supplied that EDK is just making up version numbers, and those
don't correspond to lwIP releases in the public project. Again, the best
thing to do is take this up with them.

Jifl
--
eCosCentric Limited      http://www.eCosCentric.com/     The eCos experts
Barnwell House, Barnwell Drive, Cambridge, UK.       Tel: +44 1223 245571
Registered in England and Wales: Reg No 4422071.
------["The best things in life aren't things."]------      Opinions==mine


_______________________________________________
lwip-users mailing list
[hidden email]
http://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

RE: lwip error compilation edk 8.2i

Matthew Yingling
Xilinx' LwIP 1.00.a is 0.6.3 based, while 2.00.a is 0.7.2 based.  v1.00.a is
deprecated, and 2.00.a has undergone minor changes between EDK 7.1 and 9.1.
I'm still waiting on offical support of LwIP 1.2, though with some
modification to the drivers from the CVS and creation of a new LwIP third
party directory, I had LwIP 1.1.1 working in EDK 7.1.

I recommend you not use v1.00.a unless you really need to.

Matthew

----Original Message----
From: lwip-users-bounces+matt=[hidden email]
[mailto:lwip-users-bounces+matt=[hidden email]]On Behalf Of
Jonathan Larmour
Sent: Sunday, April 15, 2007 6:13 AM
To: Mailing list for lwIP users
Subject: Re: [lwip-users] lwip error compilation edk 8.2i

> Louis Filasky wrote:
>> Hello,
>>
>> I've been working on a project for a few week now and new to
>> lwip/fpga/edk. We have to send some data to a Virtex II Pro (XUP-V2P)
>> and we first used the EMAC IP core
>> provided along with EDK8.2i. It worked well even though we've heard
>> of lwip which is implementing DHCP which is required for our project.
>> For a couple of days, we have been trying to make it compile on EDK
>> but we were unsuccessful.
>>
>> We get the following error when we try to compile the lwip 1.0a (but
>> not with the lwip 2.0a):
>>
>> /*bash -c "cd src;make all >& logs"*/
>> *//*
>
> That's not an error, that's saying what command was trying to be run.
> If it was that command that failed, the answer depends on what the
> real error was, but I fancy the chances there is no makefile there.
> Makefiles are up to ports, and the Virtex port in that EDK is
> supplied by them, not the lwIP project. You'll have to take this
> issue up with them.
>
>> Also, I was wondering what is the different between lwip 2.0a and
>> 1.0a, is one a standalone raw api and the other built on some kind
>> of mini-os? Finally, one last question, is it possible to install
>> the last lwip
>> 1.2.0 on edk?
>
> Since lwip 2.0 does not yet exist, and I have no time machine handy
> at the moment, I have no idea what the differences are. An
> explanation is that whoever supplied that EDK is just making up
> version numbers, and those don't correspond to lwIP releases in the
> public project. Again, the best thing to do is take this up with them.
>
> Jifl



_______________________________________________
lwip-users mailing list
[hidden email]
http://lists.nongnu.org/mailman/listinfo/lwip-users